root/lang/c/sonydb/Makefile.in

Revision 15142, 18.6 kB (checked in by mattn, 5 months ago)

add files for autotools.

Line 
1# Makefile.in generated by automake 1.10 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5# 2003, 2004, 2005, 2006  Free Software Foundation, Inc.
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15@SET_MAKE@
16
17
18VPATH = @srcdir@
19pkgdatadir = $(datadir)/@PACKAGE@
20pkglibdir = $(libdir)/@PACKAGE@
21pkgincludedir = $(includedir)/@PACKAGE@
22am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
23install_sh_DATA = $(install_sh) -c -m 644
24install_sh_PROGRAM = $(install_sh) -c
25install_sh_SCRIPT = $(install_sh) -c
26INSTALL_HEADER = $(INSTALL_DATA)
27transform = $(program_transform_name)
28NORMAL_INSTALL = :
29PRE_INSTALL = :
30POST_INSTALL = :
31NORMAL_UNINSTALL = :
32PRE_UNINSTALL = :
33POST_UNINSTALL = :
34bin_PROGRAMS = sonydb$(EXEEXT)
35subdir = .
36DIST_COMMON = README $(am__configure_deps) $(dist_pkgdata_DATA) \
37        $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
38        $(srcdir)/config.h.in $(srcdir)/sonydb.spec.in \
39        $(top_srcdir)/configure AUTHORS COPYING ChangeLog INSTALL NEWS \
40        TODO depcomp install-sh missing
41ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
42am__aclocal_m4_deps = $(top_srcdir)/configure.in
43am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
44        $(ACLOCAL_M4)
45am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
46 configure.lineno config.status.lineno
47mkinstalldirs = $(install_sh) -d
48CONFIG_HEADER = config.h
49CONFIG_CLEAN_FILES = sonydb.spec
50am__installdirs = "$(DESTDIR)$(bindir)" "$(DESTDIR)$(pkgdatadir)"
51binPROGRAMS_INSTALL = $(INSTALL_PROGRAM)
52PROGRAMS = $(bin_PROGRAMS)
53am_sonydb_OBJECTS = sonydb.$(OBJEXT) frontend.$(OBJEXT)
54sonydb_OBJECTS = $(am_sonydb_OBJECTS)
55sonydb_LDADD = $(LDADD)
56DEFAULT_INCLUDES = -I.@am__isrc@
57depcomp = $(SHELL) $(top_srcdir)/depcomp
58am__depfiles_maybe = depfiles
59CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
60        $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
61CXXLD = $(CXX)
62CXXLINK = $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) \
63        -o $@
64SOURCES = $(sonydb_SOURCES)
65DIST_SOURCES = $(sonydb_SOURCES)
66am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
67am__vpath_adj = case $$p in \
68    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
69    *) f=$$p;; \
70  esac;
71am__strip_dir = `echo $$p | sed -e 's|^.*/||'`;
72dist_pkgdataDATA_INSTALL = $(INSTALL_DATA)
73DATA = $(dist_pkgdata_DATA)
74ETAGS = etags
75CTAGS = ctags
76DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
77distdir = $(PACKAGE)-$(VERSION)
78top_distdir = $(distdir)
79am__remove_distdir = \
80  { test ! -d $(distdir) \
81    || { find $(distdir) -type d ! -perm -200 -exec chmod u+w {} ';' \
82         && rm -fr $(distdir); }; }
83DIST_ARCHIVES = $(distdir).tar.gz
84GZIP_ENV = --best
85distuninstallcheck_listfiles = find . -type f -print
86distcleancheck_listfiles = find . -type f -print
87ACLOCAL = @ACLOCAL@
88AMTAR = @AMTAR@
89AUTOCONF = @AUTOCONF@
90AUTOHEADER = @AUTOHEADER@
91AUTOMAKE = @AUTOMAKE@
92AWK = @AWK@
93CC = @CC@
94CCDEPMODE = @CCDEPMODE@
95CFLAGS = @CFLAGS@
96CPP = @CPP@
97CPPFLAGS = @CPPFLAGS@
98CXX = @CXX@
99CXXDEPMODE = @CXXDEPMODE@
100CXXFLAGS = @CXXFLAGS@
101CYGPATH_W = @CYGPATH_W@
102DEFS = @DEFS@
103DEPDIR = @DEPDIR@
104ECHO_C = @ECHO_C@
105ECHO_N = @ECHO_N@
106ECHO_T = @ECHO_T@
107EGREP = @EGREP@
108EXEEXT = @EXEEXT@
109GREP = @GREP@
110INSTALL = @INSTALL@
111INSTALL_DATA = @INSTALL_DATA@
112INSTALL_PROGRAM = @INSTALL_PROGRAM@
113INSTALL_SCRIPT = @INSTALL_SCRIPT@
114INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
115LDFLAGS = @LDFLAGS@
116LIBOBJS = @LIBOBJS@
117LIBS = @LIBS@
118LTLIBOBJS = @LTLIBOBJS@
119MAKEINFO = @MAKEINFO@
120MKDIR_P = @MKDIR_P@
121OBJEXT = @OBJEXT@
122PACKAGE = @PACKAGE@
123PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
124PACKAGE_NAME = @PACKAGE_NAME@
125PACKAGE_STRING = @PACKAGE_STRING@
126PACKAGE_TARNAME = @PACKAGE_TARNAME@
127PACKAGE_VERSION = @PACKAGE_VERSION@
128PATH_SEPARATOR = @PATH_SEPARATOR@
129SET_MAKE = @SET_MAKE@
130SHELL = @SHELL@
131STRIP = @STRIP@
132VERSION = @VERSION@
133abs_builddir = @abs_builddir@
134abs_srcdir = @abs_srcdir@
135abs_top_builddir = @abs_top_builddir@
136abs_top_srcdir = @abs_top_srcdir@
137ac_ct_CC = @ac_ct_CC@
138ac_ct_CXX = @ac_ct_CXX@
139am__include = @am__include@
140am__leading_dot = @am__leading_dot@
141am__quote = @am__quote@
142am__tar = @am__tar@
143am__untar = @am__untar@
144bindir = @bindir@
145build_alias = @build_alias@
146builddir = @builddir@
147datadir = @datadir@
148datarootdir = @datarootdir@
149docdir = @docdir@
150dvidir = @dvidir@
151exec_prefix = @exec_prefix@
152host_alias = @host_alias@
153htmldir = @htmldir@
154includedir = @includedir@
155infodir = @infodir@
156install_sh = @install_sh@
157libdir = @libdir@
158libexecdir = @libexecdir@
159localedir = @localedir@
160localstatedir = @localstatedir@
161mandir = @mandir@
162mkdir_p = @mkdir_p@
163oldincludedir = @oldincludedir@
164pdfdir = @pdfdir@
165prefix = @prefix@
166program_transform_name = @program_transform_name@
167psdir = @psdir@
168sbindir = @sbindir@
169sharedstatedir = @sharedstatedir@
170srcdir = @srcdir@
171sysconfdir = @sysconfdir@
172target_alias = @target_alias@
173top_builddir = @top_builddir@
174top_srcdir = @top_srcdir@
175sonydb_SOURCES = sonydb.cpp frontend.cpp
176dist_pkgdata_DATA =
177EXTRA_DIST = sonydb.spec
178all: config.h
179        $(MAKE) $(AM_MAKEFLAGS) all-am
180
181.SUFFIXES:
182.SUFFIXES: .cpp .o .obj
183am--refresh:
184        @:
185$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
186        @for dep in $?; do \
187          case '$(am__configure_deps)' in \
188            *$$dep*) \
189              echo ' cd $(srcdir) && $(AUTOMAKE) --gnu '; \
190              cd $(srcdir) && $(AUTOMAKE) --gnu  \
191                && exit 0; \
192              exit 1;; \
193          esac; \
194        done; \
195        echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  Makefile'; \
196        cd $(top_srcdir) && \
197          $(AUTOMAKE) --gnu  Makefile
198.PRECIOUS: Makefile
199Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
200        @case '$?' in \
201          *config.status*) \
202            echo ' $(SHELL) ./config.status'; \
203            $(SHELL) ./config.status;; \
204          *) \
205            echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
206            cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
207        esac;
208
209$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
210        $(SHELL) ./config.status --recheck
211
212$(top_srcdir)/configure:  $(am__configure_deps)
213        cd $(srcdir) && $(AUTOCONF)
214$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
215        cd $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
216
217config.h: stamp-h1
218        @if test ! -f $@; then \
219          rm -f stamp-h1; \
220          $(MAKE) $(AM_MAKEFLAGS) stamp-h1; \
221        else :; fi
222
223stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
224        @rm -f stamp-h1
225        cd $(top_builddir) && $(SHELL) ./config.status config.h
226$(srcdir)/config.h.in:  $(am__configure_deps)
227        cd $(top_srcdir) && $(AUTOHEADER)
228        rm -f stamp-h1
229        touch $@
230
231distclean-hdr:
232        -rm -f config.h stamp-h1
233sonydb.spec: $(top_builddir)/config.status $(srcdir)/sonydb.spec.in
234        cd $(top_builddir) && $(SHELL) ./config.status $@
235install-binPROGRAMS: $(bin_PROGRAMS)
236        @$(NORMAL_INSTALL)
237        test -z "$(bindir)" || $(MKDIR_P) "$(DESTDIR)$(bindir)"
238        @list='$(bin_PROGRAMS)'; for p in $$list; do \
239          p1=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
240          if test -f $$p \
241          ; then \
242            f=`echo "$$p1" | sed 's,^.*/,,;$(transform);s/$$/$(EXEEXT)/'`; \
243           echo " $(INSTALL_PROGRAM_ENV) $(binPROGRAMS_INSTALL) '$$p' '$(DESTDIR)$(bindir)/$$f'"; \
244           $(INSTALL_PROGRAM_ENV) $(binPROGRAMS_INSTALL) "$$p" "$(DESTDIR)$(bindir)/$$f" || exit 1; \
245          else :; fi; \
246        done
247
248uninstall-binPROGRAMS:
249        @$(NORMAL_UNINSTALL)
250        @list='$(bin_PROGRAMS)'; for p in $$list; do \
251          f=`echo "$$p" | sed 's,^.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/'`; \
252          echo " rm -f '$(DESTDIR)$(bindir)/$$f'"; \
253          rm -f "$(DESTDIR)$(bindir)/$$f"; \
254        done
255
256clean-binPROGRAMS:
257        -test -z "$(bin_PROGRAMS)" || rm -f $(bin_PROGRAMS)
258sonydb$(EXEEXT): $(sonydb_OBJECTS) $(sonydb_DEPENDENCIES)
259        @rm -f sonydb$(EXEEXT)
260        $(CXXLINK) $(sonydb_OBJECTS) $(sonydb_LDADD) $(LIBS)
261
262mostlyclean-compile:
263        -rm -f *.$(OBJEXT)
264
265distclean-compile:
266        -rm -f *.tab.c
267
268@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/frontend.Po@am__quote@
269@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/sonydb.Po@am__quote@
270
271.cpp.o:
272@am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
273@am__fastdepCXX_TRUE@   mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
274@AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
275@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
276@am__fastdepCXX_FALSE@  $(CXXCOMPILE) -c -o $@ $<
277
278.cpp.obj:
279@am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
280@am__fastdepCXX_TRUE@   mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
281@AMDEP_TRUE@@am__fastdepCXX_FALSE@      source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
282@AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
283@am__fastdepCXX_FALSE@  $(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
284install-dist_pkgdataDATA: $(dist_pkgdata_DATA)
285        @$(NORMAL_INSTALL)
286        test -z "$(pkgdatadir)" || $(MKDIR_P) "$(DESTDIR)$(pkgdatadir)"
287        @list='$(dist_pkgdata_DATA)'; for p in $$list; do \
288          if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
289          f=$(am__strip_dir) \
290          echo " $(dist_pkgdataDATA_INSTALL) '$$d$$p' '$(DESTDIR)$(pkgdatadir)/$$f'"; \
291          $(dist_pkgdataDATA_INSTALL) "$$d$$p" "$(DESTDIR)$(pkgdatadir)/$$f"; \
292        done
293
294uninstall-dist_pkgdataDATA:
295        @$(NORMAL_UNINSTALL)
296        @list='$(dist_pkgdata_DATA)'; for p in $$list; do \
297          f=$(am__strip_dir) \
298          echo " rm -f '$(DESTDIR)$(pkgdatadir)/$$f'"; \
299          rm -f "$(DESTDIR)$(pkgdatadir)/$$f"; \
300        done
301
302ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
303        list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
304        unique=`for i in $$list; do \
305            if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
306          done | \
307          $(AWK) '    { files[$$0] = 1; } \
308               END { for (i in files) print i; }'`; \
309        mkid -fID $$unique
310tags: TAGS
311
312TAGS:  $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
313                $(TAGS_FILES) $(LISP)
314        tags=; \
315        here=`pwd`; \
316        list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
317        unique=`for i in $$list; do \
318            if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
319          done | \
320          $(AWK) '    { files[$$0] = 1; } \
321               END { for (i in files) print i; }'`; \
322        if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
323          test -n "$$unique" || unique=$$empty_fix; \
324          $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
325            $$tags $$unique; \
326        fi
327ctags: CTAGS
328CTAGS:  $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
329                $(TAGS_FILES) $(LISP)
330        tags=; \
331        here=`pwd`; \
332        list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
333        unique=`for i in $$list; do \
334            if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
335          done | \
336          $(AWK) '    { files[$$0] = 1; } \
337               END { for (i in files) print i; }'`; \
338        test -z "$(CTAGS_ARGS)$$tags$$unique" \
339          || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
340             $$tags $$unique
341
342GTAGS:
343        here=`$(am__cd) $(top_builddir) && pwd` \
344          && cd $(top_srcdir) \
345          && gtags -i $(GTAGS_ARGS) $$here
346
347distclean-tags:
348        -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
349
350distdir: $(DISTFILES)
351        $(am__remove_distdir)
352        test -d $(distdir) || mkdir $(distdir)
353        @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
354        topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
355        list='$(DISTFILES)'; \
356          dist_files=`for file in $$list; do echo $$file; done | \
357          sed -e "s|^$$srcdirstrip/||;t" \
358              -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
359        case $$dist_files in \
360          */*) $(MKDIR_P) `echo "$$dist_files" | \
361                           sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
362                           sort -u` ;; \
363        esac; \
364        for file in $$dist_files; do \
365          if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
366          if test -d $$d/$$file; then \
367            dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
368            if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
369              cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
370            fi; \
371            cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
372          else \
373            test -f $(distdir)/$$file \
374            || cp -p $$d/$$file $(distdir)/$$file \
375            || exit 1; \
376          fi; \
377        done
378        -find $(distdir) -type d ! -perm -777 -exec chmod a+rwx {} \; -o \
379          ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
380          ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
381          ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
382        || chmod -R a+r $(distdir)
383dist-gzip: distdir
384        tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
385        $(am__remove_distdir)
386
387dist-bzip2: distdir
388        tardir=$(distdir) && $(am__tar) | bzip2 -9 -c >$(distdir).tar.bz2
389        $(am__remove_distdir)
390
391dist-tarZ: distdir
392        tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
393        $(am__remove_distdir)
394
395dist-shar: distdir
396        shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
397        $(am__remove_distdir)
398
399dist-zip: distdir
400        -rm -f $(distdir).zip
401        zip -rq $(distdir).zip $(distdir)
402        $(am__remove_distdir)
403
404dist dist-all: distdir
405        tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
406        $(am__remove_distdir)
407
408# This target untars the dist file and tries a VPATH configuration.  Then
409# it guarantees that the distribution is self-contained by making another
410# tarfile.
411distcheck: dist
412        case '$(DIST_ARCHIVES)' in \
413        *.tar.gz*) \
414          GZIP=$(GZIP_ENV) gunzip -c $(distdir).tar.gz | $(am__untar) ;;\
415        *.tar.bz2*) \
416          bunzip2 -c $(distdir).tar.bz2 | $(am__untar) ;;\
417        *.tar.Z*) \
418          uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
419        *.shar.gz*) \
420          GZIP=$(GZIP_ENV) gunzip -c $(distdir).shar.gz | unshar ;;\
421        *.zip*) \
422          unzip $(distdir).zip ;;\
423        esac
424        chmod -R a-w $(distdir); chmod a+w $(distdir)
425        mkdir $(distdir)/_build
426        mkdir $(distdir)/_inst
427        chmod a-w $(distdir)
428        dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
429          && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
430          && cd $(distdir)/_build \
431          && ../configure --srcdir=.. --prefix="$$dc_install_base" \
432            $(DISTCHECK_CONFIGURE_FLAGS) \
433          && $(MAKE) $(AM_MAKEFLAGS) \
434          && $(MAKE) $(AM_MAKEFLAGS) dvi \
435          && $(MAKE) $(AM_MAKEFLAGS) check \
436          && $(MAKE) $(AM_MAKEFLAGS) install \
437          && $(MAKE) $(AM_MAKEFLAGS) installcheck \
438          && $(MAKE) $(AM_MAKEFLAGS) uninstall \
439          && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
440                distuninstallcheck \
441          && chmod -R a-w "$$dc_install_base" \
442          && ({ \
443               (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
444               && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
445               && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
446               && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
447                    distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
448              } || { rm -rf "$$dc_destdir"; exit 1; }) \
449          && rm -rf "$$dc_destdir" \
450          && $(MAKE) $(AM_MAKEFLAGS) dist \
451          && rm -rf $(DIST_ARCHIVES) \
452          && $(MAKE) $(AM_MAKEFLAGS) distcleancheck
453        $(am__remove_distdir)
454        @(echo "$(distdir) archives ready for distribution: "; \
455          list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
456          sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
457distuninstallcheck:
458        @cd $(distuninstallcheck_dir) \
459        && test `$(distuninstallcheck_listfiles) | wc -l` -le 1 \
460           || { echo "ERROR: files left after uninstall:" ; \
461                if test -n "$(DESTDIR)"; then \
462                  echo "  (check DESTDIR support)"; \
463                fi ; \
464                $(distuninstallcheck_listfiles) ; \
465                exit 1; } >&2
466distcleancheck: distclean
467        @if test '$(srcdir)' = . ; then \
468          echo "ERROR: distcleancheck can only run from a VPATH build" ; \
469          exit 1 ; \
470        fi
471        @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
472          || { echo "ERROR: files left in build directory after distclean:" ; \
473               $(distcleancheck_listfiles) ; \
474               exit 1; } >&2
475check-am: all-am
476check: check-am
477all-am: Makefile $(PROGRAMS) $(DATA) config.h
478installdirs:
479        for dir in "$(DESTDIR)$(bindir)" "$(DESTDIR)$(pkgdatadir)"; do \
480          test -z "$$dir" || $(MKDIR_P) "$$dir"; \
481        done
482install: install-am
483install-exec: install-exec-am
484install-data: install-data-am
485uninstall: uninstall-am
486
487install-am: all-am
488        @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
489
490installcheck: installcheck-am
491install-strip:
492        $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
493          install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
494          `test -z '$(STRIP)' || \
495            echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
496mostlyclean-generic:
497
498clean-generic:
499
500distclean-generic:
501        -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
502
503maintainer-clean-generic:
504        @echo "This command is intended for maintainers to use"
505        @echo "it deletes files that may require special tools to rebuild."
506clean: clean-am
507
508clean-am: clean-binPROGRAMS clean-generic mostlyclean-am
509
510distclean: distclean-am
511        -rm -f $(am__CONFIG_DISTCLEAN_FILES)
512        -rm -rf ./$(DEPDIR)
513        -rm -f Makefile
514distclean-am: clean-am distclean-compile distclean-generic \
515        distclean-hdr distclean-tags
516
517dvi: dvi-am
518
519dvi-am:
520
521html: html-am
522
523info: info-am
524
525info-am:
526
527install-data-am: install-dist_pkgdataDATA
528
529install-dvi: install-dvi-am
530
531install-exec-am: install-binPROGRAMS
532
533install-html: install-html-am
534
535install-info: install-info-am
536
537install-man:
538
539install-pdf: install-pdf-am
540
541install-ps: install-ps-am
542
543installcheck-am:
544
545maintainer-clean: maintainer-clean-am
546        -rm -f $(am__CONFIG_DISTCLEAN_FILES)
547        -rm -rf $(top_srcdir)/autom4te.cache
548        -rm -rf ./$(DEPDIR)
549        -rm -f Makefile
550maintainer-clean-am: distclean-am maintainer-clean-generic
551
552mostlyclean: mostlyclean-am
553
554mostlyclean-am: mostlyclean-compile mostlyclean-generic
555
556pdf: pdf-am
557
558pdf-am:
559
560ps: ps-am
561
562ps-am:
563
564uninstall-am: uninstall-binPROGRAMS uninstall-dist_pkgdataDATA
565
566.MAKE: install-am install-strip
567
568.PHONY: CTAGS GTAGS all all-am am--refresh check check-am clean \
569        clean-binPROGRAMS clean-generic ctags dist dist-all dist-bzip2 \
570        dist-gzip dist-shar dist-tarZ dist-zip distcheck distclean \
571        distclean-compile distclean-generic distclean-hdr \
572        distclean-tags distcleancheck distdir distuninstallcheck dvi \
573        dvi-am html html-am info info-am install install-am \
574        install-binPROGRAMS install-data install-data-am \
575        install-dist_pkgdataDATA install-dvi install-dvi-am \
576        install-exec install-exec-am install-html install-html-am \
577        install-info install-info-am install-man install-pdf \
578        install-pdf-am install-ps install-ps-am install-strip \
579        installcheck installcheck-am installdirs maintainer-clean \
580        maintainer-clean-generic mostlyclean mostlyclean-compile \
581        mostlyclean-generic pdf pdf-am ps ps-am tags uninstall \
582        uninstall-am uninstall-binPROGRAMS uninstall-dist_pkgdataDATA
583
584# Tell versions [3.59,3.63) of GNU make to not export all variables.
585# Otherwise a system limit (for SysV at least) may be exceeded.
586.NOEXPORT:
Note: See TracBrowser for help on using the browser.